/*
 * demo_giro.cpp
 *
 * Goethe-Universitaet Frankfurt
 * Vorkurs Informatik Winter 2013/14
 * Arne Naegel
 *
 */

#include <iostream>
#include "sparkonto.h"
#include "girokonto.h"

using namespace std;


int main()
{
	// Setze Anzahl der Konten zurueck
	Konto::anzKont = 0;

	// Erzeuge Giro- und Sparkonto
	Konto *spar = new Sparkonto("Joe", 123, 10000.0);
	Girokonto *giro  = new Girokonto("Jane", 90456, 1057.0, 500.0);

	// Ausfuehren einer Ueberweisung
	giro->ueberweisen(spar, 1000);
	giro->ueberweisen(spar, 1000);				// Erzeugt Laufzeitfehler
	// spar->ueberweisen(giro, 1000); 			// Erzeugt Compilerfehler!

	// Gekapselte Abfrage der Daten
	cout << spar->get_inhaber() << "s Kontostand ist: " << spar->kontostand() << endl;
	cout << giro->get_inhaber() << "s Kontostand ist: " << giro->kontostand() << endl;

	// Loesche Konten, ueberpruefe Anzahl
	cout << "Anzahl der Konten: " << Konto::anzKont << endl;
	delete giro;
	delete spar;
	cout << "Anzahl der Konten: " << Konto::anzKont << endl;
}
