/*
 * demo_konto.cpp
 *
 * Goethe-Universitaet Frankfurt
 * Vorkurs Informatik Winter 2013/14
 * Arne Naegel
 *
 */

#include <iostream>
#include "konto.h"

using namespace std;

int main()
{
	// Setze Anzahl der Konten zurueck
	Konto::anzKont = 0;

	// Erzeuge zwei Konten
	Konto *k1 = new Konto("Joe", 123, 1000.0);
	Konto *k2 = new Konto("Jane", 456, 10000.0);

	k1->einzahlen(50.79);			// Einzahlung auf Konto 1
	k2->auszahlen(6000.0);			// Auszahlung von Konto 2

	// Ungekapselte (direkte) Abfrage der Daten
	cout << k1->get_inhaber() << "s Kontostand ist: " << k1->kontostand() << endl;
	cout << k2->get_inhaber() << "s Kontostand ist: " << k2->kontostand() << endl;

	// Loesche Konten, ueberpruefe Anzahl
	cout << "Anzahl der Konten: " << Konto::anzKont << endl;
	delete k1;
	cout << "Anzahl der Konten: " << Konto::anzKont << endl;
	delete k2;
	cout << "Anzahl der Konten: " << Konto::anzKont << endl;
}
