/*
 * girokonto.h
 *
 * Goethe-Universitaet Frankfurt
 * Vorkurs Informatik Winter 2013/14
 * Arne Naegel
 *
 */

#ifndef _GIROKONTO_H_
#define _GIROKONTO_H_

#include "konto.h"

// Ein 'Girokonto' ist ein 'Konto' mit (eingeschraenktem) Ueberziehungsrahmen.
class Girokonto : public Konto
{
public:

	Girokonto(string name, long nummer, double betrag, double kredit)
	: Konto (name, nummer, betrag), kreditrahmen(kredit)
	{}

	void ueberweisen(Konto *k, double betrag);

protected:
	double kreditrahmen;
};



#endif /* GIROKONTO_H_ */
