/*
 * konto.cpp
 *
 * Goethe-Universitaet Frankfurt
 * Vorkurs Informatik Winter 2013/14
 * Arne Naegel
 *
 */

#include "konto.h"

//! Konstruktor
Konto::Konto(string name, long nummer, double betrag)
: inhaber(name), kontonummer(nummer), saldo(betrag)
{Konto::anzKont++;}

//! Destruktor
Konto::~Konto()
{Konto::anzKont--;}

//! Gemeinsame (statische) Zaehlvariable
int Konto::anzKont = 0;

//! Einzahlung
void Konto::einzahlen(double betrag)
{saldo += betrag;}

//! Auszahlung
void Konto::auszahlen(double betrag)
{saldo -= betrag;}

//! NEU: Wem gehoert das Konto?
const string& Konto::get_inhaber() const
{return inhaber;}

//! NEU: Abfrage des Kontostands
double Konto::kontostand() const
{return saldo;}




