/*
 * konto.h
 *
 * Goethe-Universitaet Frankfurt
 * Vorkurs Informatik Winter 2013/14
 * Arne Naegel
 *
 */

#ifndef _KONTO_H_
#define _KONTO_H_


#include <string>   // Benutze std::string
using namespace std;

// Basisklasse fuer Konten. Hiervon werden 'Sparkonto' und 'Girokonto' abgeleitet.
class Konto								  	// NEU: Verwende 'class' statt 'struct'
{
protected: 								  	// NEU: Attribute (nun gekapselt)
	string inhaber;
	long kontonummer;
	double saldo;

public:
	static int anzKont; 				   // Klassenvariable aller Instanzen

	// Methoden (definiert in konto.cpp)
	Konto(string name, long nummer, double betrag);
	virtual ~Konto();                      // NEU: Destruktor ist 'virtuell'

	virtual void einzahlen(double betrag);  // NEU: Funktion ist 'virtuell'
	virtual void auszahlen(double betrag);  // NEU: Funktion ist 'virtuell'

	double kontostand() const;
	const string& get_inhaber() const;

};  // Klassendefinition endet mit Semikolon


#endif /* KONTO_H_ */
