/*
 * sparkonto.cpp
 *
 * Goethe-Universitaet Frankfurt
 * Vorkurs Informatik Winter 2013/14
 * Arne Naegel
 *
 */

#include "sparkonto.h"

// Ueberschreibe virtuelle Methode Konto::einzahlen
void Sparkonto::einzahlen(double betrag)
{
	Konto::einzahlen(betrag);
	erzeuge_eintrag(betrag);
}

// Ueberschreibe virtuelle Methode Konto::auszahlen
void Sparkonto::auszahlen(double betrag)
{
	if (kontostand() > betrag)
	{
		Konto::auszahlen(betrag);
		erzeuge_eintrag(-betrag);
	}
	else
	{
		cout << "FEHLER: Guthaben reicht nicht aus!" << endl;
	}
}

// Ausgabe: Schreibe Eintrag ins Sparbuch (auf den Bildschirm)
void Sparkonto::erzeuge_eintrag(double betrag)
{
	cout << "Eintrag in Sparbuch #"<< kontonummer <<" (in Euro): "<< betrag;
	cout << " -> Neuer Saldo: " << kontostand() << endl;
}


