/*
 * demo_spar.cpp
 *
 * Goethe-Universitaet Frankfurt
 * Vorkurs Informatik Winter 2013/14
 * Arne Naegel
 *
 */

#include <iostream>
#include "sparkonto.h"

using namespace std;


int main()
{
	// Setze Anzahl der Konten zurueck
	Konto::anzKont = 0;

	// Erzeuge zwei Konten
	Sparkonto *k1 = new Sparkonto("Joe", 123, 1000.0);
	Sparkonto *k2 = new Sparkonto("Jane", 456, 10000.0, 1.5);

	// Ein-/Auszahlungen
	k1->einzahlen(50.79);
	k2->auszahlen(6000.0);
	k1->auszahlen(2000.0);  // Das hier ist zuviel...

	// Ungekapselte Abfrage der Daten erzeugt nun Compilerfehler
	// cout << k1->inhaber << "s Kontostand ist: " << k1->saldo << endl;

	// Gekapselte Abfrage der Daten ist korrekt
	cout << k1->get_inhaber() << "s Kontostand ist: " << k1->kontostand() << endl;
	cout << k2->get_inhaber() << "s Kontostand ist: " << k2->kontostand() << endl;

	// Abfrage der Zinssaetze
	cout << k1->get_inhaber() << "s Zinssatz ist: " << k1->get_zinssatz() << endl;
	cout << k2->get_inhaber() << "s Zinssatz ist: " << k2->get_zinssatz() << endl;

	// Loesche Konten, ueberpruefe Anzahl
	cout << "Anzahl der Konten: " << Konto::anzKont << endl;
	delete k1;
	cout << "Anzahl der Konten: " << Konto::anzKont << endl;
	delete k2;
	cout << "Anzahl der Konten: " << Konto::anzKont << endl;
}
