/*
 * girokonto.cpp
 *
 * Goethe-Universitaet Frankfurt
 * Vorkurs Informatik Winter 2013/14
 * Arne Naegel
 *
 */

#include <iostream>
#include "girokonto.h"

using namespace std;

void Girokonto::ueberweisen(Konto *k, double betrag)
{
	// Wurde ein Konto angegeben?
	if (k==NULL)
	{
		cout << "FEHLER: Kein Empaengerkonto angegeben!" << endl;
	}

	// Ueberweise, falls
	if (betrag <= Konto::kontostand() + kreditrahmen)
	{
		this->auszahlen(betrag);
		k->einzahlen(betrag);
	}
	else {
		cout << "FEHLER: Kreditrahmen reicht nicht aus!" << endl;
	}
}
